[users] Missing Dep: libdirectfb-0.9.so.25

Aztek One aztek123456 at yahoo.com
Wed Jul 9 17:30:25 CEST 2008


I'm getting the:
"Error: Missing Dependency: libdirectfb-0.9.so.25 is needed by package mplayer"

When attempting to update "mplayerplug-in"

-------------------------------------------------------------------------------
[root at centos50 ~]# yum --enablerepo=rpmforge update
Loading "protectbase" plugin
rpmforge                  100% |=========================| 1.1 kB    00:00
primary.xml.gz            100% |=========================| 2.6 MB    00:02
rpmforge  : ################################################## 7343/7343
Excluding Packages from Red Hat Enterprise 5 - RPMforge.net - dag
Finished
272 packages excluded due to repository protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: libdirectfb-0.9.so.25 for package: mplayer
---> Package directfb.i386 0:1.0.1-1.el5.rf set to be updated
---> Package mplayerplug-in.i386 0:3.55-1.el5.rf set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: libdirectfb-0.9.so.25 is needed by package mplayer
[root at centos50 ~]#
-------------------------------------------------------------------------------

And so I checked what package provides "libdirectfb-0.9.so.25"

-------------------------------------------------------------------------------
[root at centos50 ~]# yum --enablerepo=rpmforge whatprovides libdirectfb-0.9.so.25
Loading "protectbase" plugin
http://mirror.cpsc.ucalgary.ca/mirror/dag/redhat/el5/en/i386/dag/repodata/repomd.xml: [Errno 12] Timeout: <urlopen error timed out>
Trying other mirror.
rpmforge                  100% |=========================| 1.1 kB    00:00     
Excluding Packages from Red Hat Enterprise 5 - RPMforge.net - dag
Finished
272 packages excluded due to repository protections
directfb.i386 : Hardware graphics acceleration library
directfb.i386 : Hardware graphics acceleration library
[root at centos50 ~]# 
-------------------------------------------------------------------------------

Yet, package "directfb.i386" is already installed:

-------------------------------------------------------------------------------
[root at centos50 ~]# yum list directfb.i386
Loading "protectbase" plugin
0 packages excluded due to repository protections
Installed Packages
directfb.i386                            0.9.25.1-1.el5.rf      installed       
[root at centos50 ~]# 
-------------------------------------------------------------------------------

Thanks for any help.



      



More information about the users mailing list